OpenTTD Source: SlGamelogGrfadd Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlGamelogGrfadd Class Reference
Inheritance diagram for SlGamelogGrfadd:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogGrfadd, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (LoggedChange *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _gamelog_grfadd_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 127 of file gamelog_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlGamelogGrfadd::Load | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogGrfadd, LoggedChange >.

Definition at line 141 of file gamelog_sl.cpp.

## ◆ LoadCheck()

void SlGamelogGrfadd::LoadCheck | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogGrfadd, LoggedChange >.

Definition at line 147 of file gamelog_sl.cpp.

## ◆ Save()

void SlGamelogGrfadd::Save | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogGrfadd, LoggedChange >.

Definition at line 135 of file gamelog_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlGamelogGrfadd::compat_description = _gamelog_grfadd_sl_compat
| inlinestatic

Definition at line 133 of file gamelog_sl.cpp.

## ◆ description

const SaveLoad SlGamelogGrfadd::description[]
| inlinestatic

Initial value:
= {
SLE_VARNAME(LoggedChangeGRFAdd, grfid, "grfadd.grfid", SLE_UINT32 ),
SLE_ARRNAME(LoggedChangeGRFAdd, md5sum, "grfadd.md5sum", SLE_UINT8, 16),
}
SLE_VARNAME
#define SLE_VARNAME(base, variable, name, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1026
SLE_ARRNAME
#define SLE_ARRNAME(base, variable, name, type, length)
Storage of fixed-size array of SL_VAR elements in every version of a savegame.
Definition saveload.h:1053
LoggedChangeGRFAdd
Definition gamelog_internal.h:72

Definition at line 129 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp